Mapbox plugin - cocapods issue


#1

Hi,
I want to start using this plugin:

but after adding this plugin, i end up with this: (i’ve tried to update pods etc…)
Does anybody see this issue maybe ? Thanks.


#2

I see the same with Checkbox plugin…


Looks like my OSX issue ?


#3

Ever tried removing the platform and adding it again?

$ tns platform remove android
$ tns platform add android

By doing this, your project will be recompiled.


#4

Caso for IOS:

$ tns platform remove ios
$ tns platform add ios

#5

Hi, Yes, also tns doctor. etc…


#6

Did you run pod repo update (in a Terminal) as the error message suggests? If so, and the problem persists, make sure the Ruby version you’re using for NativeScript is the same one as the one cocoapods uses. I’ve seen that causing issues by someone who frequently switches Ruby versions (using rvm).


#7

Hi @Eddy,
Yes, i’ve run this repo update. But problem still exists…
attached version of coca and ruby.(i never switched ruby versions etc…)
image


#8

Did you use sudo to install either cocopods or NativeScript? Check that sudo ruby -v etc gives you the same versions as above.

Reinstalling cocopods may also help: https://guides.cocoapods.org/using/getting-started.html


#9

Thanks @Eddy. Maybe i messed a bit - can i ask you if those versions are ok ?
ruby 2.3.3p222
sudo ruby -v - ruby 2.3.3p222
pod --version - 1.50
gem which cocoapods - Library/Ruby/Gems/2.3.0/gems/cocoapods-1.5.0/


#10

I’ve updated everything - OSX, cocapods, etc…
Now i see only this issue

[!] Automatically assigning platform ios with version 8.0 on target appdig because no platform was specified. Please specify a platform for this target in your Podfile. See https://guides.cocoapods.org/syntax/podfile.html#platform.


#11

Good. You can ignore that version warning.


#12

Thanks, but i’ve lost tns run ios by this - this means if i’ll do changes in code, i dont see updated version on simulator…


#13

@Eddy, your suggestions forced me to update all that i can.
Next after all updates, i’ve run tns remove ios and i’ce added project again. looks like it’s working. Thanks!!!
Now im having only this but this don’t affect coding process…


#14

Nice. Yeah that warning is pretty common. No need to worry about it.